LINUX.ORG.RU

[gentoo] не получается установить vim

 


0

0

Установил Gentoo 2007.0 хочу проапдейтить vim-7.0.174 на 7.1.х и получить подсветку синтаксиса.

emerge -uD просто ничего не делает.

equery list -p vim # выдает
[ Searching for package 'vim' in all categories among: ]
* installed packages
[I--] [ ] app-editors/vim-7.0.174 (0)
[I--] [ ] app-editors/vim-core-7.0.174 (0)
* Portage tree (/usr/portage)
.......
[-P-] [ ] app-editors/vim-6.4 (0)
[-P-] [ ] app-editors/vim-7.0.17 (0)
[-P-] [M~] app-editors/vim-7.0.91 (0)
[-P-] [M~] app-editors/vim-7.0.146 (0)
[-P-] [M~] app-editors/vim-7.0.201 (0)
...........

Где версия 7.1-? И как минимум должен проапрейтица на билд 201, но неделает этого. В замаскированных пакетах не нашел.

anonymous

Ответ на: комментарий от Dimanish

$ eix -e vim
[I] app-editors/vim
     Available versions:  6.4 7.0.235 7.1.042 7.1.123 ~7.1.164 ~7.1.213 ~7.1.266 {acl bash-completion cscope gpm minimal nls perl python ruby vim-pager vim-with-x}
     Installed versions:  7.1.123(19:42:48 25.01.2008)(acl bash-completion gpm nls perl python ruby vim-with-x -cscope -minimal -vim-pager)
     Homepage:            http://www.vim.org/
     Description:         Vim, an improved vi-style text editor

KRoN73 ★★★★★
()
Ответ на: комментарий от KRoN73

Вроде получилось, сразу не обратил внимания на команду --sync, решил что если протокол не http это не понадобится. Пересобираю world.

anonymous
()
Ответ на: комментарий от anonymous

начали с vim-а, закончили world-ом :)
хорошая штука генту

chocholl ★★
()
Ответ на: комментарий от anonymous

> Пересобираю world.

поспешу открыть страшную тайну — совсем не надо пересобирать мир по каждому мелкому поводу ☺

dmiceman ★★★★★
()

открою страшную тайну, подсветка работает в виме с лохматых времен.
$ cat >> ~/.vimrc
filetype on
filetype plugin on
syntax on
^D

cobold ★★★★★
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.